Mid-call Action erstellen
curl --request POST \
--url https://app.famulor.de/api/user/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
endpoint: '<string>',
method: '<string>'
})
};
fetch('https://app.famulor.de/api/user/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/tools"
payload = {
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/tools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'endpoint' => '<string>',
'method' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/tools"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"method\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Tool created successfully",
"data": {
"id": 1,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"type": "http",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"body_format": "json",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"static_fields": [
{
"key": "caller",
"value": "{{customer_phone}}"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send",
"required": true
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification",
"required": false
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
}
{
"message": "The name field format is invalid.",
"errors": {
"name": [
"Tool name must contain only letters, numbers and underscores, and start with a letter or underscore."
]
}
}
{
"message": "You have reached your plan limit of 5 mid call tools. Please upgrade your plan to create more tools."
}
Mid-call Action erstellen
Erstelle eine neue Mid-call Action in Famulor per API. Gib deinen KI-Telefonassistenten neue Aktionen wie Buchung, CRM-Abfrage oder Webhook-Trigger.
POST
/
api
/
user
/
tools
Mid-call Action erstellen
Dieser Endpunkt ermöglicht es dir, eine neue Mid-call Action zu erstellen, die von deinen KI-Assistenten verwendet werden kann, um während Anrufen mit externen APIs zu interagieren.
Body-Parameter
Die öffentliche API erstellt HTTP-Mid-call Actions. Automation-Platform-Mid-call Actions (die einen verknüpften Flow erzeugen) werden im Dashboard erstellt. Mid-call-Action-Werte unterstützen dynamische Variablen — verwende{param} für KI-extrahierte Parameter in der URL und {{variable}} (z. B. {{customer_phone}}) in der URL, in Header-Werten und in statischen Feld-Werten.
string
erforderlich
Name der Mid-call Action — Buchstaben, Zahlen und Unterstriche, beginnend mit einem Buchstaben oder Unterstrich (max. 64 Zeichen, z. B.
get_weather, book_appointment)string
erforderlich
Detaillierte Erklärung, wann und wie die KI diese Mid-call Action verwenden soll (max. 255 Zeichen)
string
erforderlich
Gültige URL des aufzurufenden API-Endpunkts (max. 2048 Zeichen)
string
erforderlich
HTTP-Methode:
GET, POST, PUT, PATCH oder DELETEstring
Kodierung des Request-Bodys für Schreibmethoden (POST/PUT/PATCH):
json (Standard) oder form (application/x-www-form-urlencoded)integer
Request-Timeout in Sekunden (1-30, Standard: 10)
array
array
array
Parameter, die die KI aus der Unterhaltung extrahiert und an den Endpunkt sendet
Anzeigen Schema-Eigenschaften
Anzeigen Schema-Eigenschaften
string
erforderlich
Parameter-Name (1-64 Zeichen, muss mit einem Buchstaben oder Unterstrich beginnen, kann Buchstaben, Zahlen und Unterstriche enthalten)
string
erforderlich
Parameter-Typ:
string, number, float oder booleanstring
erforderlich
Beschreibung, um der KI zu helfen, diesen Parameter zu extrahieren (3-255 Zeichen)
boolean
Ob die KI diesen Parameter erfassen muss. Optionale Parameter werden nur gesendet, wenn ein Wert erfasst wurde. Standard:
false.Antwortfelder
string
Erfolgsmeldung
object
Das erstellte Mid-call-Action-Objekt
Anzeigen Daten-Eigenschaften
Anzeigen Daten-Eigenschaften
integer
Die eindeutige Kennung der Mid-call Action
string
Der Name der Mid-call Action
string
Beschreibung der Mid-call Action
string
Mid-call-Action-Typ:
http oder automationstring
API-Endpunkt-URL
string
HTTP-Methode
string
Request-Body-Kodierung:
json oder forminteger
Request-Timeout in Sekunden
array
HTTP-Header
array
Feste Schlüssel/Wert-Paare, die immer mit der Anfrage gesendet werden
array
Parameter-Schema
string
ISO-8601-Zeitstempel
string
ISO-8601-Zeitstempel
{
"message": "Tool created successfully",
"data": {
"id": 1,
"name": "send_notification",
"description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
"type": "http",
"endpoint": "https://api.yourcompany.com/notifications/send",
"method": "POST",
"body_format": "json",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"static_fields": [
{
"key": "caller",
"value": "{{customer_phone}}"
}
],
"schema": [
{
"name": "message",
"type": "string",
"description": "The notification message to send",
"required": true
},
{
"name": "send_sms",
"type": "boolean",
"description": "Whether to also send SMS notification",
"required": false
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
}
{
"message": "The name field format is invalid.",
"errors": {
"name": [
"Tool name must contain only letters, numbers and underscores, and start with a letter or underscore."
]
}
}
{
"message": "You have reached your plan limit of 5 mid call tools. Please upgrade your plan to create more tools."
}
Mid-call Actions Assistenten hinzufügen
Nach dem Erstellen einer Mid-call Action musst du sie einem Assistenten zuweisen, um sie während Anrufen zu verwenden. Zuweisungen werden über die Assistenten-API verwaltet:- Assistent erstellen — Verwende den
tool_ids-Parameter, um Mid-call Actions beim Erstellen eines Assistenten zuzuweisen - Assistent aktualisieren — Verwende den
tool_ids-Parameter, um Mid-call Actions bei einem bestehenden Assistenten hinzuzufügen, zu entfernen oder zu ersetzen
Statt einzelner HTTP-Aktionen ein ganzes Toolset auf einmal? Externen MCP-Server verbinden — Tools werden automatisch erkannt. Siehe MCP-Server.
⌘I